# studio::Dialog_Setup Class Reference

`#include <dialog_setup.h>`

List of all members.

## Public Member Functions

void | set_time_format (synfig::Time::Format time_format)
const synfig::Time::Format & | get_time_format () const
| Dialog_Setup ()
| ~Dialog_Setup ()
void | refresh ()

## Constructor & Destructor Documentation

Dialog_Setup::Dialog_Setup | ( |  | ) |

References _, ADD_TIMESTAMP, attach_label(), DEFAULT_PREDEFINED_FPS, DEFAULT_PREDEFINED_SIZE, studio::Widget_Enum::set_param_desc(), and studio::BlackLevelSelector::signal_value_changed().

Dialog_Setup::~Dialog_Setup | ( |  | ) |

## Member Function Documentation

void Dialog_Setup::set_time_format | ( | synfig::Time::Format | time_format | ) |

Referenced by refresh().

const synfig::Time::Format& studio::Dialog_Setup::get_time_format | ( |  | ) | const`[inline]`

void Dialog_Setup::refresh | ( |  | ) |

References studio::App::auto_recover, studio::App::browser_command, studio::App::custom_filename_prefix, studio::App::distance_system, studio::App::gamma, studio::App::get_max_recent_files(), studio::App::get_time_format(), studio::App::predefined_fps, studio::App::preferred_fps, studio::App::preferred_x_size, studio::GammaPattern::refresh(), studio::App::resize_imported_images, studio::GammaPattern::set_black_level(), studio::GammaPattern::set_gamma_b(), studio::GammaPattern::set_gamma_g(), studio::GammaPattern::set_gamma_r(), studio::GammaPattern::set_red_blue_level(), set_time_format(), studio::Widget_Time::set_value(), studio::Widget_Enum::set_value(), studio::RedBlueLevelSelector::set_value(), studio::BlackLevelSelector::set_value(), and studio::App::use_colorspace_gamma.

Referenced by studio::App::show_setup().

The documentation for this class was generated from the following files:

- dialog_setup.h
- dialog_setup.cpp